package ru.dbotthepony.kstarbound.defs.world

import ru.dbotthepony.kommons.vector.Vector2i
import ru.dbotthepony.kstarbound.collect.WeightedList
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

@JsonFactory
data class CelestialOrbitRegion(
	val regionName: String,
	val orbitRange: Vector2i,
	val bodyProbability: Double,
	val planetaryTypes: WeightedList<String> = WeightedList(),
	val satelliteTypes: WeightedList<String> = WeightedList(),
)